Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.ast.tree
Interface ResolvableNode

All Known Implementing Classes:
  DotNode, FromReferenceNode, IdentNode, IndexNode, SelectExpressionImpl

    public interface ResolvableNode

The contract for expression sub-trees that can resolve themselves.

Author:
  josh Sep 25, 2004 11:27:36 AM

Method Summary
`void` | `resolve(boolean generateJoin, boolean implicitJoin)` Does the work of resolving an identifier or a dot, but without a parent node or alias
`void` | `resolve(boolean generateJoin, boolean implicitJoin, String classAlias)` Does the work of resolving an identifier or a dot, but without a parent node
`void` | `resolve(boolean generateJoin, boolean implicitJoin, String classAlias, antlr.collections.AST parent)` Does the work of resolving an identifier or a dot
`void` | `resolveIndex(antlr.collections.AST parent)` Does the work of resolving an an index [].
`void` | `resolveInFunctionCall(boolean generateJoin, boolean implicitJoin)` Does the work of resolving inside of the scope of a function call

Method Detail

### resolve

    void resolve(boolean generateJoin,
                 boolean implicitJoin,
                 String classAlias,
                 antlr.collections.AST parent)
                 throws antlr.SemanticException

  Does the work of resolving an identifier or a dot

  Throws:
    `antlr.SemanticException`

### resolve

    void resolve(boolean generateJoin,
                 boolean implicitJoin,
                 String classAlias)
                 throws antlr.SemanticException

  Does the work of resolving an identifier or a dot, but without a parent node

  Throws:
    `antlr.SemanticException`

### resolve

    void resolve(boolean generateJoin,
                 boolean implicitJoin)
                 throws antlr.SemanticException

  Does the work of resolving an identifier or a dot, but without a parent node or alias

  Throws:
    `antlr.SemanticException`

### resolveInFunctionCall

    void resolveInFunctionCall(boolean generateJoin,
                               boolean implicitJoin)
                               throws antlr.SemanticException

  Does the work of resolving inside of the scope of a function call

  Throws:
    `antlr.SemanticException`

### resolveIndex

    void resolveIndex(antlr.collections.AST parent)
                      throws antlr.SemanticException

  Does the work of resolving an an index [].

  Throws:
    `antlr.SemanticException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD